# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: src/generated/Python/knn.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='src/generated/Python/knn.proto',
  package='provee',
  syntax='proto3',
  serialized_options=b'\n\017nl.uuvig.proveeB\022ProveProjectorGRCPP\001\242\002\006PROVEE',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1esrc/generated/Python/knn.proto\x12\x06provee\x1a\x1bgoogle/protobuf/empty.proto\"\x1f\n\x0bprogressKNN\x12\x10\n\x08progress\x18\x01 \x01(\x05\"\x18\n\x08startKNN\x12\x0c\n\x04path\x18\x01 \x01(\t\"&\n\nknnRequest\x12\t\n\x01k\x18\x01 \x01(\x05\x12\r\n\x05words\x18\x02 \x01(\t\"=\n\x0fknnBatchRequest\x12\x1f\n\x07vectors\x18\x01 \x03(\x0b\x32\x0e.provee.Vector\x12\t\n\x01k\x18\x02 \x01(\x05\"9\n\x0fNeighboursBatch\x12&\n\nneighbours\x18\x01 \x03(\x0b\x32\x12.provee.Neighbours\"\'\n\nNeighbours\x12\x19\n\x04rows\x18\x01 \x03(\x0b\x32\x0b.provee.Row\"8\n\x03Row\x12\x11\n\twordIndex\x18\x01 \x01(\x05\x12\x0c\n\x04word\x18\x02 \x01(\t\x12\x10\n\x08\x64istance\x18\x03 \x01(\x02\"\x17\n\x06Vector\x12\r\n\x05point\x18\x01 \x03(\x02\"2\n\x0c\x64istanceList\x12\x0f\n\x07indices\x18\x01 \x03(\x05\x12\x11\n\tdistances\x18\x02 \x03(\x02\"%\n\x15\x61llDistanceKNNRequest\x12\x0c\n\x04word\x18\x01 \x01(\t\">\n\x1b\x61\x64\x64TransformedPointsRequest\x12\x1f\n\x07vectors\x18\x01 \x03(\x0b\x32\x0e.provee.Vector\"4\n\x0b\x61\x63\x63uracyKNN\x12\x13\n\x0bnNeighbours\x18\x01 \x03(\x05\x12\x10\n\x08\x61\x63\x63uracy\x18\x02 \x03(\x02\x32\x8e\x03\n\x03KNN\x12=\n\x0fstartKNNService\x12\x10.provee.startKNN\x1a\x16.google.protobuf.Empty\"\x00\x12\x42\n\x0estopKNNService\x12\x16.google.protobuf.Empty\x1a\x16.google.protobuf.Empty\"\x00\x12\x39\n\rgetKNNRequest\x12\x12.provee.knnRequest\x1a\x12.provee.Neighbours\"\x00\x12<\n\x0bgetProgress\x12\x16.google.protobuf.Empty\x1a\x13.provee.progressKNN\"\x00\x12\x41\n\x0bgetKNNBatch\x12\x17.provee.knnBatchRequest\x1a\x17.provee.NeighboursBatch\"\x00\x12H\n\x0fgetAllDistances\x12\x1d.provee.allDistanceKNNRequest\x1a\x14.provee.distanceList\"\x00\x32\xa6\x03\n\rValidationKNN\x12=\n\x0fstartKNNService\x12\x10.provee.startKNN\x1a\x16.google.protobuf.Empty\"\x00\x12\x42\n\x0estopKNNService\x12\x16.google.protobuf.Empty\x1a\x16.google.protobuf.Empty\"\x00\x12<\n\x0bgetProgress\x12\x16.google.protobuf.Empty\x1a\x13.provee.progressKNN\"\x00\x12<\n\x0bgetAccuracy\x12\x16.google.protobuf.Empty\x1a\x13.provee.accuracyKNN\"\x00\x12U\n\x14\x61\x64\x64TransformedPoints\x12#.provee.addTransformedPointsRequest\x1a\x16.google.protobuf.Empty\"\x00\x12?\n\x0b\x63learPoints\x12\x16.google.protobuf.Empty\x1a\x16.google.protobuf.Empty\"\x00\x42\x30\n\x0fnl.uuvig.proveeB\x12ProveProjectorGRCPP\x01\xa2\x02\x06PROVEEb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_empty__pb2.DESCRIPTOR,])




_PROGRESSKNN = _descriptor.Descriptor(
  name='progressKNN',
  full_name='provee.progressKNN',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='progress', full_name='provee.progressKNN.progress', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=71,
  serialized_end=102,
)


_STARTKNN = _descriptor.Descriptor(
  name='startKNN',
  full_name='provee.startKNN',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='path', full_name='provee.startKNN.path', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=104,
  serialized_end=128,
)


_KNNREQUEST = _descriptor.Descriptor(
  name='knnRequest',
  full_name='provee.knnRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='k', full_name='provee.knnRequest.k', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='words', full_name='provee.knnRequest.words', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=130,
  serialized_end=168,
)


_KNNBATCHREQUEST = _descriptor.Descriptor(
  name='knnBatchRequest',
  full_name='provee.knnBatchRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='vectors', full_name='provee.knnBatchRequest.vectors', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='k', full_name='provee.knnBatchRequest.k', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=170,
  serialized_end=231,
)


_NEIGHBOURSBATCH = _descriptor.Descriptor(
  name='NeighboursBatch',
  full_name='provee.NeighboursBatch',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='neighbours', full_name='provee.NeighboursBatch.neighbours', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=233,
  serialized_end=290,
)


_NEIGHBOURS = _descriptor.Descriptor(
  name='Neighbours',
  full_name='provee.Neighbours',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='rows', full_name='provee.Neighbours.rows', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=292,
  serialized_end=331,
)


_ROW = _descriptor.Descriptor(
  name='Row',
  full_name='provee.Row',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='wordIndex', full_name='provee.Row.wordIndex', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='word', full_name='provee.Row.word', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='distance', full_name='provee.Row.distance', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=333,
  serialized_end=389,
)


_VECTOR = _descriptor.Descriptor(
  name='Vector',
  full_name='provee.Vector',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='point', full_name='provee.Vector.point', index=0,
      number=1, type=2, cpp_type=6, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=391,
  serialized_end=414,
)


_DISTANCELIST = _descriptor.Descriptor(
  name='distanceList',
  full_name='provee.distanceList',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='indices', full_name='provee.distanceList.indices', index=0,
      number=1, type=5, cpp_type=1, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='distances', full_name='provee.distanceList.distances', index=1,
      number=2, type=2, cpp_type=6, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=416,
  serialized_end=466,
)


_ALLDISTANCEKNNREQUEST = _descriptor.Descriptor(
  name='allDistanceKNNRequest',
  full_name='provee.allDistanceKNNRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='word', full_name='provee.allDistanceKNNRequest.word', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=468,
  serialized_end=505,
)


_ADDTRANSFORMEDPOINTSREQUEST = _descriptor.Descriptor(
  name='addTransformedPointsRequest',
  full_name='provee.addTransformedPointsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='vectors', full_name='provee.addTransformedPointsRequest.vectors', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=507,
  serialized_end=569,
)


_ACCURACYKNN = _descriptor.Descriptor(
  name='accuracyKNN',
  full_name='provee.accuracyKNN',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='nNeighbours', full_name='provee.accuracyKNN.nNeighbours', index=0,
      number=1, type=5, cpp_type=1, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='accuracy', full_name='provee.accuracyKNN.accuracy', index=1,
      number=2, type=2, cpp_type=6, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=571,
  serialized_end=623,
)

_KNNBATCHREQUEST.fields_by_name['vectors'].message_type = _VECTOR
_NEIGHBOURSBATCH.fields_by_name['neighbours'].message_type = _NEIGHBOURS
_NEIGHBOURS.fields_by_name['rows'].message_type = _ROW
_ADDTRANSFORMEDPOINTSREQUEST.fields_by_name['vectors'].message_type = _VECTOR
DESCRIPTOR.message_types_by_name['progressKNN'] = _PROGRESSKNN
DESCRIPTOR.message_types_by_name['startKNN'] = _STARTKNN
DESCRIPTOR.message_types_by_name['knnRequest'] = _KNNREQUEST
DESCRIPTOR.message_types_by_name['knnBatchRequest'] = _KNNBATCHREQUEST
DESCRIPTOR.message_types_by_name['NeighboursBatch'] = _NEIGHBOURSBATCH
DESCRIPTOR.message_types_by_name['Neighbours'] = _NEIGHBOURS
DESCRIPTOR.message_types_by_name['Row'] = _ROW
DESCRIPTOR.message_types_by_name['Vector'] = _VECTOR
DESCRIPTOR.message_types_by_name['distanceList'] = _DISTANCELIST
DESCRIPTOR.message_types_by_name['allDistanceKNNRequest'] = _ALLDISTANCEKNNREQUEST
DESCRIPTOR.message_types_by_name['addTransformedPointsRequest'] = _ADDTRANSFORMEDPOINTSREQUEST
DESCRIPTOR.message_types_by_name['accuracyKNN'] = _ACCURACYKNN
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

progressKNN = _reflection.GeneratedProtocolMessageType('progressKNN', (_message.Message,), {
  'DESCRIPTOR' : _PROGRESSKNN,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.progressKNN)
  })
_sym_db.RegisterMessage(progressKNN)

startKNN = _reflection.GeneratedProtocolMessageType('startKNN', (_message.Message,), {
  'DESCRIPTOR' : _STARTKNN,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.startKNN)
  })
_sym_db.RegisterMessage(startKNN)

knnRequest = _reflection.GeneratedProtocolMessageType('knnRequest', (_message.Message,), {
  'DESCRIPTOR' : _KNNREQUEST,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.knnRequest)
  })
_sym_db.RegisterMessage(knnRequest)

knnBatchRequest = _reflection.GeneratedProtocolMessageType('knnBatchRequest', (_message.Message,), {
  'DESCRIPTOR' : _KNNBATCHREQUEST,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.knnBatchRequest)
  })
_sym_db.RegisterMessage(knnBatchRequest)

NeighboursBatch = _reflection.GeneratedProtocolMessageType('NeighboursBatch', (_message.Message,), {
  'DESCRIPTOR' : _NEIGHBOURSBATCH,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.NeighboursBatch)
  })
_sym_db.RegisterMessage(NeighboursBatch)

Neighbours = _reflection.GeneratedProtocolMessageType('Neighbours', (_message.Message,), {
  'DESCRIPTOR' : _NEIGHBOURS,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.Neighbours)
  })
_sym_db.RegisterMessage(Neighbours)

Row = _reflection.GeneratedProtocolMessageType('Row', (_message.Message,), {
  'DESCRIPTOR' : _ROW,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.Row)
  })
_sym_db.RegisterMessage(Row)

Vector = _reflection.GeneratedProtocolMessageType('Vector', (_message.Message,), {
  'DESCRIPTOR' : _VECTOR,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.Vector)
  })
_sym_db.RegisterMessage(Vector)

distanceList = _reflection.GeneratedProtocolMessageType('distanceList', (_message.Message,), {
  'DESCRIPTOR' : _DISTANCELIST,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.distanceList)
  })
_sym_db.RegisterMessage(distanceList)

allDistanceKNNRequest = _reflection.GeneratedProtocolMessageType('allDistanceKNNRequest', (_message.Message,), {
  'DESCRIPTOR' : _ALLDISTANCEKNNREQUEST,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.allDistanceKNNRequest)
  })
_sym_db.RegisterMessage(allDistanceKNNRequest)

addTransformedPointsRequest = _reflection.GeneratedProtocolMessageType('addTransformedPointsRequest', (_message.Message,), {
  'DESCRIPTOR' : _ADDTRANSFORMEDPOINTSREQUEST,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.addTransformedPointsRequest)
  })
_sym_db.RegisterMessage(addTransformedPointsRequest)

accuracyKNN = _reflection.GeneratedProtocolMessageType('accuracyKNN', (_message.Message,), {
  'DESCRIPTOR' : _ACCURACYKNN,
  '__module__' : 'src.generated.Python.knn_pb2'
  # @@protoc_insertion_point(class_scope:provee.accuracyKNN)
  })
_sym_db.RegisterMessage(accuracyKNN)


DESCRIPTOR._options = None

_KNN = _descriptor.ServiceDescriptor(
  name='KNN',
  full_name='provee.KNN',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=626,
  serialized_end=1024,
  methods=[
  _descriptor.MethodDescriptor(
    name='startKNNService',
    full_name='provee.KNN.startKNNService',
    index=0,
    containing_service=None,
    input_type=_STARTKNN,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='stopKNNService',
    full_name='provee.KNN.stopKNNService',
    index=1,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getKNNRequest',
    full_name='provee.KNN.getKNNRequest',
    index=2,
    containing_service=None,
    input_type=_KNNREQUEST,
    output_type=_NEIGHBOURS,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getProgress',
    full_name='provee.KNN.getProgress',
    index=3,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=_PROGRESSKNN,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getKNNBatch',
    full_name='provee.KNN.getKNNBatch',
    index=4,
    containing_service=None,
    input_type=_KNNBATCHREQUEST,
    output_type=_NEIGHBOURSBATCH,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getAllDistances',
    full_name='provee.KNN.getAllDistances',
    index=5,
    containing_service=None,
    input_type=_ALLDISTANCEKNNREQUEST,
    output_type=_DISTANCELIST,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_KNN)

DESCRIPTOR.services_by_name['KNN'] = _KNN


_VALIDATIONKNN = _descriptor.ServiceDescriptor(
  name='ValidationKNN',
  full_name='provee.ValidationKNN',
  file=DESCRIPTOR,
  index=1,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=1027,
  serialized_end=1449,
  methods=[
  _descriptor.MethodDescriptor(
    name='startKNNService',
    full_name='provee.ValidationKNN.startKNNService',
    index=0,
    containing_service=None,
    input_type=_STARTKNN,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='stopKNNService',
    full_name='provee.ValidationKNN.stopKNNService',
    index=1,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getProgress',
    full_name='provee.ValidationKNN.getProgress',
    index=2,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=_PROGRESSKNN,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getAccuracy',
    full_name='provee.ValidationKNN.getAccuracy',
    index=3,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=_ACCURACYKNN,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='addTransformedPoints',
    full_name='provee.ValidationKNN.addTransformedPoints',
    index=4,
    containing_service=None,
    input_type=_ADDTRANSFORMEDPOINTSREQUEST,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='clearPoints',
    full_name='provee.ValidationKNN.clearPoints',
    index=5,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_VALIDATIONKNN)

DESCRIPTOR.services_by_name['ValidationKNN'] = _VALIDATIONKNN

# @@protoc_insertion_point(module_scope)
